/api/v1/squads/{squadId}/agents/{agentId} (PATCH)
const url = 'https://api.endless.zaia.app/api/v1/squads/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/agents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"prompt":"example","type":"member","agent":{"codeRuntime":true,"externalUserBlocking":true,"externalUserBlockingPrompt":"example","internalName":"example","iterations":1,"llm":"claude-haiku-4-5","llmProviderId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","name":"example","picture":"example","planning":true,"prompt":"example","reasoningMode":"low","role":"example","temperature":1,"timezone":"Africa/Cairo","voiceId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.endless.zaia.app/api/v1/squads/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/agents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Content-Type: application/json' \ --data '{ "prompt": "example", "type": "member", "agent": { "codeRuntime": true, "externalUserBlocking": true, "externalUserBlockingPrompt": "example", "internalName": "example", "iterations": 1, "llm": "claude-haiku-4-5", "llmProviderId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "picture": "example", "planning": true, "prompt": "example", "reasoningMode": "low", "role": "example", "temperature": 1, "timezone": "Africa/Cairo", "voiceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } }'Updates agents in a squad.
Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
Request Bodyrequired
Seção intitulada “Request Bodyrequired”object
The instructions to append when the agent operates within this squad.
object
Whether the agent should be able to execute JavaScript code using the Code Runtime tool.
Whether the agent may use External User Blocking on eligible external channels.
System prompt section appended when External User Blocking is eligible for this agent.
The internal name of the agent. For internal use only.
The number of iterations (steps) the agent can execute in a single execution.
The LLM model key to use for the agent.
The id of the LLM provider to use for the agent.
The name of the agent.
The picture of the agent.
Whether the agent should plan before each execution.
The main description of the agent’s behavior.
The reasoning mode to use for the agent. If null, reasoning will be disabled.
The role of the agent. Particularly useful to give other agents context of what the agent does.
The temperature to use for the agent. The lower the more deterministic. The higher the more creative.
The timezone to use for the agent. If null, no timezone will be used.
The TTS voice for audio responses. Null to disable.
Responses
Seção intitulada “Responses”The squad agent was updated.
object
A UUID v4 string that identifies an entity.
The instructions to append when the agent operates within this squad.
A UUID v4 string that identifies an entity.
object
A UUID v4 string that identifies an entity.
The ID of the original entity in production.
A UUID v4 string that identifies an entity.
Whether the agent should be able to execute JavaScript code using the Code Runtime tool.
Whether the agent may use External User Blocking on eligible external channels.
System prompt section appended when External User Blocking is eligible for this agent.
The internal name of the agent. For internal use only.
The number of iterations (steps) the agent can execute in a single execution.
When this agent was last executed.
The LLM model key to use for the agent.
The id of the LLM provider to use for the agent.
The name of the agent.
The picture of the agent.
Whether the agent should plan before each execution.
The main description of the agent’s behavior.
The reasoning mode to use for the agent. If null, reasoning will be disabled.
The role of the agent. Particularly useful to give other agents context of what the agent does.
The super identity ID associated with the agent.
The temperature to use for the agent. The lower the more deterministic. The higher the more creative.
The timezone to use for the agent. If null, no timezone will be used.
The number of tools currently associated with the agent.
The TTS voice to use for audio responses. Null when disabled for the agent.
The workspace ID that owns the agent.
Example
{ "type": "member", "agent": { "llm": "claude-haiku-4-5", "reasoningMode": "low", "timezone": "Africa/Cairo" }}Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}The squad agent was not found.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}